Collections
Check payment status
Check the state of a collection invoice.
POST
/
payment
/
status
Check payment status
curl --request POST \
--url https://sandbox.kulmipay.com/api/v1/payment/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice_id": "<string>",
"checkout_id": "<string>",
"signature": "<string>"
}
'import requests
url = "https://sandbox.kulmipay.com/api/v1/payment/status"
payload = {
"invoice_id": "<string>",
"checkout_id": "<string>",
"signature": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invoice_id: '<string>', checkout_id: '<string>', signature: '<string>'})
};
fetch('https://sandbox.kulmipay.com/api/v1/payment/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {
"value": "<string>",
"invoice_id": "<string>",
"charges": "<string>",
"net_amount": "<string>",
"currency": "<string>",
"account": "<string>",
"api_ref": "<string>",
"clearing_status": "<string>",
"mpesa_reference": "<string>",
"host": "<string>",
"retry_count": -1,
"failed_reason": "<string>",
"failed_code": "<string>",
"failed_code_link": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"customer": {
"customer_id": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"country": "<string>",
"zipcode": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"payment_link": {
"title": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"redirect_url": "<string>",
"amount": 0,
"usage_limit": 0,
"qrcode_file": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_comment": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Use your KulmiPay secret key as the Bearer token.
Body
application/json
⌘I
Check payment status
